#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Mon Apr  9 16:39:37 2018

@author: Axelsen
"""


import sqlite3
import pandas as pd

Database = '/Users/Axelsen/Desktop/LNG_fleet05.db'
#Fleetlist = '/Users/Axelsen/Desktop/Prosjekt og masteroppgave/Filer/LNG_fleet_clean.csv'

imos = list()

import csv
with open('Spot_list_IMO_numbers.csv', newline='') as csvfile:
    mylist = csv.reader(csvfile)
    for row in mylist:
        imos.append(row[0])

skip = imos[1]
imos = imos[2:]

for IMO in imos:
   skip += ','+IMO
    
imo = list()
mmsi = list()

conn = sqlite3.connect(Database)
cur = conn.cursor() 

sql_linje = "select imo,userid from LNG_fleet5 where imo in (%s);" % skip

with conn:
    cur = conn.cursor()  

    cur.execute(sql_linje)
    
    VesselData = cur.fetchall()
    
    for i in range(0,len(VesselData)):
        Datastrip = VesselData[i]

        mmsi.append(Datastrip[1])
                     
MMSI = list(pd.Series(mmsi).unique())

#For SQL, for making a new table:
CREATE TABLE spot_fleet AS
    SELECT * 
    FROM LNG_fleet 
    WHERE userid in (Insert list of MMSIs);  

#To create a new .db file, close terminal and reopen it. Then run: 
    sqlite3 old.db ".dump mytable" | sqlite3 new.db
 ex: sqlite3 /Users/Axelsen/Desktop/LNG_fleet01.db ".dump GOLAR_fleet" | sqlite3 Golar.db
 ex2: sqlite3 /Volumes/LaCie/NTNUfilesMac/SAISGlobalFinal.db ".dump LNG_fleet" | sqlite3 LNG_fleet01.db
 ex3:sqlite3 /Users/Axelsen/Desktop/LNG_fleet01.db ".dump spot_fleet" | sqlite3 spot_fleet.db